Bug 27465 - xfs crashes with truetype fonts
xfs crashes with truetype fonts
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-13 19:41 EST by Stefan Sorensen
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-13 19:45:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (563 bytes, patch)
2001-02-13 19:44 EST, Stefan Sorensen
no flags Details | Diff

  None (edit)
Description Stefan Sorensen 2001-02-13 19:41:58 EST
When truetype fonts are use, xfs will crash on some applications like gfontsel.

This is the xfs from XFree86-xfs-4.0.2-6, but might be present in earlier
versions too.

The offending function is
xc/lib/font/FreeType/ftfuncs.c:FreeTypeFontGetGlyph which doesn't check for
a valid encoding in the font.
Comment 1 Stefan Sorensen 2001-02-13 19:44:57 EST
Created attachment 9966 [details]
Proposed patch
Comment 2 Mike A. Harris 2001-02-14 13:21:40 EST
Patch applied, thanks very much for the fix!  Good job!

Note You need to log in before you can comment on or make changes to this bug.